-module(mixed).
-export([recordfieldtest/0, guardtest/0, patternmatchtest/0, vartest/0]).

-record(state, {
                % Number of next question
                next     :: integer(),
                % the id of the current transformation
                query_id :: any()
               }).

recordfieldtest() ->
    State1=#state{next=1,query_id=vmi},
    State1.

guardtest() ->
    if
        true ->
            []    end,
    io:format("Hello, world!~n").

patternmatchtest() ->
    case alma of
        korte ->
            korte;
        _ ->
            alma    end.

vartest() ->
    Alma=1,
    Alma.
